Enable Canary

Prev Next

Available in Classic and VPC

Enable the Canary feature, which allows you to test your API specification in production before deploying it to stage.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
POST /api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/canary

Request headers

For information about the headers common to all API Gateway APIs, see API Gateway request headers.

Request path parameters

The following describes the parameters.

Field Type Required Description
product-id String Required Product ID associated with the API
  • 1 - 10 characters
api-id String Required API ID created on the product
  • 1 - 10 characters
stage-id String Required Stage ID created on the API
  • 1 - 10 characters

Request example

The following is a sample request.

curl -X POST 'https://apigateway.apigw.ntruss.com/api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/canary' \
--header 'Content-Type: application/json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response syntax

The response syntax is as follows.

{
    "stageId": "stageId",
    "canaryCertificateId": "canaryCertificateId",
    "canaryDeploymentNo": 0,
    "canaryDistributionRate": 0.0,
    "canaryEndpointDomain": "canaryEndpointDomain",
    "canaryDeployedTime": "2024-05-08T06:29:48Z",
    "canaryDeploymentDescription": "canaryDeploymentDescription",
    "deployedStageDeploymentNo": 0,
    "useDistributionRate": true
}

Response status codes

For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.

Response example

The following is a sample response.

{
    "stageId": "*****7mhdv",
    "canaryCertificateId": "",
    "canaryDeploymentNo": 251371,
    "canaryDistributionRate": 0.0,
    "canaryEndpointDomain": "NONE",
    "canaryDeployedTime": "2024-05-08T06:29:48Z",
    "canaryDeploymentDescription": "default canary desc",
    "deployedStageDeploymentNo": 251072,
    "useDistributionRate": true
}